class User < ActiveRecord::Base
  has_many :topics
  has_one :pet
  #has_and_belongs_to_many :communities
  has_many :memberships
  has_many :communities, :through => :memberships
  #has_and_belongs_to_many :friends,
  #  :class_name => 'User',
  #  :join_table => 'friendships',
  #  :association_foreign_key => :friend_id
  has_many :friendships
  has_many :friends, :through => :friendships
  #has_and_belongs_to_many :befrienders,
  #  :class_name => 'User',
  #  :join_table => 'friendships',
  #  :foreign_key => :friend_id,
  #  :association_foreign_key => :user_id
  has_many :befriendships,
    :class_name => 'Friendship',
    :foreign_key => :friend_id
  has_many :befrienders, :through => :befriendships,
    :source => :user
end
